//
//	VpeTypes.h
//	==========
//
// Data types used by VPE.
//
// THIS INCLUDE FILE IS ONLY INTENDED TO BE USED ON NON-WINDOWS PLATFORMS!
//
// Copyright (C) 2007 IDEAL Software GmbH, Neuss, Germany. All rights reserved.
//


typedef const char *	LPCTSTR;
typedef char *			LPTSTR;
typedef unsigned int	COLORREF;
typedef unsigned int	UINT;
typedef unsigned int	DWORD;
typedef unsigned short	WORD;
typedef unsigned char	BYTE;
typedef long			LRESULT;
typedef long			WPARAM;
typedef long			LPARAM;

typedef struct
{
	int left;
	int top;
	int right;
	int bottom;
} RECT;

typedef struct
{
	int	x;
	int	y;
}
POINT;

#define RGB(r, g ,b)  	((DWORD) (((BYTE) (r) | ((WORD) (g) << 8)) | (((DWORD) (BYTE) (b)) << 16))) 

// Hatch Styles
#define HS_HORIZONTAL       0		// -----
#define HS_VERTICAL         1		// |||||
#define HS_FDIAGONAL        2		// "\\\\\"
#define HS_BDIAGONAL        3		// /////
#define HS_CROSS            4		// +++++
#define HS_DIAGCROSS        5		// xxxxx

// Pen Styles
#define PS_SOLID            0
#define PS_DASH             1		// -------
#define PS_DOT              2		// .......
#define PS_DASHDOT          3		// _._._._
#define PS_DASHDOTDOT       4		// _.._.._

